curl --request GET \
--url https://api.baselayer.com/portfolio/items \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/portfolio/items"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/portfolio/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"search_id": "c623e29e-1f57-11ef-938f-1edb1b067314",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"type": "Business",
"business_id": "ede786f3-33ae-4894-843d-af2025f1d5b0",
"business_url": "<string>",
"item_url": "<string>",
"group_url": "<string>",
"console_url": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "Austin",
"last_name": "Taylor",
"email": "jessicasimpson@example.com"
}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Portfolio Items
Authorizations
Query Parameters
The query param. Can be a business name, person name, business_id, person_id, or a type (business or person). If it is a business id or a person id (UUID), it will be used to search by id. If it is a business name or a person name, it will be used to search by name (case-insensitive). If it is a type (business or person), it will be used to search by type. If it is not provided, all portfolio items will be returned.
Maximum number of records to return in a single page. Must be between 1 and 1000.
1 <= x <= 1000Number of records to skip from the beginning. Use 0 for the first page. Cannot be used with cursor.
x >= 0Opaque pagination cursor token that identifies the position in the result set. Use the cursor from the previous response to get the next page. Cannot be used with offset.
Filter records created on or after this date (format: YYYY-MM-DD).
Filter records created on or before this date (format: YYYY-MM-DD).
IANA timezone identifier used to interpret start_date and end_date (defaults to UTC).
"UTC"
"America/Los_Angeles"
"Europe/London"
Response
List of portfolio items.
- BusinessPortfolioItemSummaryResponse (v1)
- PersonPortfolioItemSummaryResponse (v1)
Represents a summary of a business portfolio item.
The unique identifier of the portfolio item.
The unique identifier of the search that the portfolio item is based on.
"c623e29e-1f57-11ef-938f-1edb1b067314"
The name of the portfolio item.
The timestamp of when the portfolio item was created.
The type of the portfolio item.
"Business"The UUID of the business associated with the portfolio item.
"ede786f3-33ae-4894-843d-af2025f1d5b0"
The URL to the business details.
1 - 2083The unique identifier of the portfolio group.
The user who created the portfolio item.
Show child attributes
Show child attributes